<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:fo="http://www.w3.org/1999/XSL/Format" 
    version="1.0">
    <xsl:include href="Excel2FO.xsl"/>
    <xsl:template match="document">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <fo:layout-master-set>
                <fo:simple-page-master margin-top="1in" margin-left=".75in" margin-bottom="1in"
                    margin-right=".5in" page-width="612pt" page-height="792pt" master-name="first">
                    <fo:region-body margin-top="0pt"/>
                    <fo:region-before extent="0pt"/>
                    <fo:region-after extent="0pt"/>
                </fo:simple-page-master>
            </fo:layout-master-set>
            <fo:page-sequence master-reference="first">
                <fo:flow flow-name="xsl-region-body">                
                    <xsl:apply-templates/>
                </fo:flow>
            </fo:page-sequence>
        </fo:root>
    </xsl:template>
    
    <xsl:template match="spreadsheet">
        <xsl:variable name="excel" select="document(@src)"/>
        <xsl:call-template name="process.spreadsheet">
            <xsl:with-param name="sheet" select="$excel"/>
        </xsl:call-template>
    </xsl:template>
    
    <xsl:template match="para">
        <fo:block space-after="12pt" space-before="12pt">
            <xsl:value-of select="."/>
        </fo:block>
    </xsl:template>
    
</xsl:stylesheet>
